Bug 512500 - (multimedia-menus) Review Request: multimedia-menus - Categorization for the GNOME/KDE Audio&Video/Multimedia menu
Review Request: multimedia-menus - Categorization for the GNOME/KDE Audio&Vid...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
Depends On:
Blocks: F12Target
  Show dependency treegraph
Reported: 2009-07-18 00:44 EDT by Orcan Ogetbil
Modified: 2009-08-05 13:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-05 13:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-07-18 00:44:08 EDT
Spec URL: http://oget.fedorapeople.org/review/multimedia-menus.spec
SRPM URL: http://oget.fedorapeople.org/review/multimedia-menus-0.1-1.src.rpm
Categorized submenus for the GNOME/KDE Audio&Video/Multimedia menu, for better
usuability and easy access of multimedia applications.

rpmlint is silent.

Categorization of multimedia desktop menus by a separate optional package is approved by FESCo:
Comment 1 Peter Robinson 2009-07-18 18:00:22 EDT
I'll review this one.
Comment 2 Christoph Wickert 2009-07-18 22:22:06 EDT
IMO the menu structure should follow
so there are some categories missing:
- Tuner
- TV
- Player
- Recorder

Instead, you are dividing between "Capture and Import", "Creation" and "Output Generation", which IMHO is very questionable, because their subcategories cannot strictly be distinguished into one or the other. On the other hand a category like "Recorder" is missing, although it could clearly be assigned to "Capture and Import". To me this menu layout does not make much sense and I suggest to follow freedesktop.
Comment 3 Orcan Ogetbil 2009-07-19 00:37:40 EDT
Thanks for the input Chris,
the classification was discussed numerous times in fedora-devel and in fedora-music lists and on IRC. This is what we came up with, taking into consideration what many people said. It is sort of a mid-point of all the input we received. I acknowledge that there is really no perfect solution. However, I can debate that there can be a best solution.

freedesktop standards were obviously created without media creation in mind. Their categories are not the best ones to start with. I will go by examples. For those who you use jack applications with many audio effects, and also use MIDI related applications, there was a definite need for subclassification. In time it became difficult to remember what was doing what among 200 different audio applications in the menu. And the classification was mainly based on the needs of such folks who are using multiple such applications at once.

The Player category is the only thing that I'm not 100% sure what to do with. In the classification of this multimedia-menus package, we put the players on the top menu. The idea is, the players are the most popular applications for most users; we wanted to keep the player applications for easiest access. Still, I will ask the package maintainers to use the "Player" category in their .desktop files, in case there is a demand for putting them into a submenu in the future. This is by no means the final version that there will be and it can be expanded in time.

The Recorder category is one the worst we could have used. There are so many applications that can be regarded as a recorder, or can be associated with recording (e.g. simple sound recorders, multitrack sequencers, optical media burners, ladspa, lv2 etc effects, wave editors, stream recorders, ...), that listing all of them in one Recorders submenu would kill the purpose of this classification.  

The subcategories need not to be strictly distinguishable. Certain applications can fall into more than one submenu. But there is nothing wrong with this as explained in the proposal that was sent to FESCo. The key is "easy access". If an application uses Jack and MIDI, let it be in both Jack and in MIDI submenus, so that people who want to use the Jack capability of this application can find it the Jack menu. Similarly for people who want to use the MIDI capability of the same application.

Anyhow, this is not the best place to discuss this. Shall we continue in the fedora-music list, where most people participated in this discussion?
Comment 4 Peter Robinson 2009-07-19 07:51:14 EDT
> Anyhow, this is not the best place to discuss this. Shall we continue in the
> fedora-music list, where most people participated in this discussion?  

Should this review be held until that has been done?
Comment 5 Christoph Wickert 2009-07-19 08:05:11 EDT
No need(In reply to comment #4)
> Should this review be held until that has been done?

No need to. If it has already been discussed by a wider audience, who am I to disagree?
Comment 6 Rahul Sundaram 2009-07-20 07:15:01 EDT
Just a note that if you want to change the fd.o categories, you should consider posting to xdg-list


I don't expect it to change anything immediately but would be good to share ideas.
Comment 7 Orcan Ogetbil 2009-07-20 16:13:36 EDT
Thanks Rahul, I will definitely do that.
Comment 8 Rudolf Kastl 2009-07-21 05:11:49 EDT
cannot agree more with rahuls comment. after spending significant time to get alot of the subclassifications right and done in the desktop files of alot applications we have in the repos id really prefer to see subclassifications according to the standards that exist. by no means are those standards (xdg) complete or perfect... but i think the way to go is to fix those standards instead of having a "fedora specific solution". that would be kinda dead end in my eyes.
Comment 9 Peter Robinson 2009-07-21 13:27:27 EDT
This is a tech review of the package. I've not read the FESCO notes as yet.

One minor issue. The URL for the source is incorrect.

+ rpmlint output

$ rpmlint multimedia-menus.spec multimedia-menus-0.1-1.src.rpm multimedia-menus-0.1-1.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  56a4d19be6fda09734409f26e90e1b85  multimedia-menus-0.1.tar.bz2
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8


n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
Comment 10 Orcan Ogetbil 2009-07-25 23:29:34 EDT
(In reply to comment #9)
> This is a tech review of the package. I've not read the FESCO notes as yet.


> One minor issue. The URL for the source is incorrect.

There is no real upstream link for this. It's just my fedorapeople space. I corrected the link though. I also added a dist tag.

Spec URL: http://oget.fedorapeople.org/review/multimedia-menus.spec
SRPM URL: http://oget.fedorapeople.org/review/multimedia-menus-0.1-2.fc11.src.rpm
Comment 11 Peter Robinson 2009-07-27 15:31:46 EDT
From a technical perspective the package looks fine so APPROVED! I don't see the rest of it as part of the review process.
Comment 12 Orcan Ogetbil 2009-07-27 15:40:45 EDT
Thanks Peter!

New Package CVS Request
Package Name: multimedia-menus
Short Description: Categorization for the GNOME/KDE Audio&Video/Multimedia menu
Owners: oget
Branches: F-11
Comment 13 Kevin Fenzi 2009-07-28 00:39:38 EDT
cvs done.
Comment 14 Christoph Wickert 2009-07-28 06:51:20 EDT
Orcan, are you about to import the package now? IMO the package should follow freedesktop, so you have to ether
- change your package or
- start a discussion on the xdg-list about changing the specs

So far, nothing has happened. Rudolf and me have put a great amount of work into fixing the subcategories [1], so I really think we should stick with a proper categorization.

[1] https://bugzilla.redhat.com/buglist.cgi?quicksearch=.desktop+menu+entry+has+wrong%2Fmissing+categories
Comment 15 Orcan Ogetbil 2009-08-04 04:11:13 EDT
Sorry, I didn't have time to come back to this. I sent an email to xdg list and suggested the inclusion of new categories:

I will try to decrease the number of extended "X-..." categories we used in this proposal but there are certain ones which *have* to stay, like X-Synthesis, X-Notation, ...

I will import the package soon.
Comment 16 Fedora Update System 2009-08-04 15:58:48 EDT
multimedia-menus-0.2-1.fc11 has been submitted as an update for Fedora 11.
Comment 17 Peter Robinson 2009-08-05 04:16:41 EDT
(In reply to comment #16)
> multimedia-menus-0.2-1.fc11 has been submitted as an update for Fedora 11.
> http://admin.fedoraproject.org/updates/multimedia-menus-0.2-1.fc11  

I don't think a chance such as this should be pushed to F-11.
Comment 18 Orcan Ogetbil 2009-08-05 13:20:22 EDT
I don't have any plans for now to push this to stable. It can stay in testing for folks who want to test it.

Well, the package is in rawhide now, so we can close the bug. Thanks for the review and everything.

Note You need to log in before you can comment on or make changes to this bug.